datacache <- new.env(hash=TRUE, parent=emptyenv())

hgu95chsrefseq <- function() showQCData("hgu95chsrefseq", datacache)
hgu95chsrefseq_dbconn <- function() dbconn(datacache)
hgu95chsrefseq_dbfile <- function() dbfile(datacache)
hgu95chsrefseq_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
hgu95chsrefseq_dbInfo <- function() dbInfo(datacache)

hgu95chsrefseqORGANISM <- "Homo sapiens"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "hgu95chsrefseq.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("HUMANCHIP_DB", "hgu95chsrefseq", "chip hgu95chsrefseq", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
    packageStartupMessage(AnnotationDbi:::annoStartupMessages("hgu95chsrefseq.db"))
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(hgu95chsrefseq_dbconn())
}

